package com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.vo;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

public class InferenceAPIResponseDTO {

	private String returnCode;
	private String returnMsg;
	private List<InferenceAPIResponseDTO> data;

	/* child */
	private String query;
	private String dialogTaskName;
	private String dialogTaskId;

	public String getReturnCode() {
		return returnCode;
	}
	public void setReturnCode(String returnCode) {
		this.returnCode = returnCode;
	}
	public String getReturnMsg() {
		return returnMsg;
	}
	public void setReturnMsg(String returnMsg) {
		this.returnMsg = returnMsg;
	}
	public List<InferenceAPIResponseDTO> getData() {
		return data;
	}
	public void setData(List<InferenceAPIResponseDTO> data) {
		this.data = data;
	}
	public String getQuery() {
		return query;
	}
	public void setQuery(String query) {
		this.query = query;
	}
	public String getDialogTaskName() {
		return dialogTaskName;
	}
	public void setDialogTaskName(String dialogTaskName) {
		this.dialogTaskName = dialogTaskName;
	}
	public String getDialogTaskId() {
		return dialogTaskId;
	}
	public void setDialogTaskId(String dialogTaskId) {
		this.dialogTaskId = dialogTaskId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
	}
}
